## org.eclipse.emf.workspace.util
Class WorkspaceValidateEditSupport

    java.lang.Object
      org.eclipse.emf.transaction.util.ValidateEditSupport.Default
          org.eclipse.emf.workspace.util.WorkspaceValidateEditSupport

All Implemented Interfaces:
  ValidateEditSupport

    public class WorkspaceValidateEditSupport

extends ValidateEditSupport.Default

An implementation of the transaction validate-edit support that uses the Eclipse Platform's Workspace API to validate edits.

Clients may find it useful to install default transaction options specifying an instance of this class and an appropriate SWT shell for validate-edit support.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.util.ValidateEditSupport
`ValidateEditSupport.Default`

Constructor Summary
`WorkspaceValidateEditSupport()`

Method Summary
`protected IStatus` `doValidateEdit(Transaction transaction, Collection<? extends Resource> resources, Object context)` Performs the actual edit validation.
`protected IFile[]` `getFiles(Collection<? extends Resource> resources)`

Methods inherited from class org.eclipse.emf.transaction.util.ValidateEditSupport.Default
`finalizeForCommit, finalizeForRollback, getResourcesToValidate, handleResourceChange, validateEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkspaceValidateEditSupport

    public WorkspaceValidateEditSupport()

Method Detail

### doValidateEdit

    protected IStatus doValidateEdit(Transaction transaction,
                                     Collection<? extends Resource> resources,
                                     Object context)

  Description copied from class: `ValidateEditSupport.Default`
  Performs the actual edit validation. May be overridden by subclasses to provide a different mechanism.

  Overrides:
    `doValidateEdit` in class `ValidateEditSupport.Default`
  Parameters:
    `transaction` - the transaction that is attempting to commit
    `resources` - the resources to validate-edit
    `context` - the validate-edit context, or `null` if none
  Returns:
    the result of the validate-edit attempt

### getFiles

    protected IFile[] getFiles(Collection<? extends Resource> resources)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.